List Prompts
curl --request GET \
--url https://api.example.com/v1/prompts/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/v1/prompts/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/v1/prompts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"id": "prompt_01h45ytscbebyvny4gc8cr8ma2",
"name": "<string>",
"prompt": "<string>",
"response_schema": {
"draft_07": {
"enum": [
"generalist",
"specialist"
],
"type": "string"
}
},
"version": 123,
"created_at": 123,
"description": "<string>"
}
],
"total": 123,
"page": 1,
"page_size": 50
},
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
},
"total": 123,
"prev": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
},
"next": {
"href": "<string>",
"rel": "<string>",
"method": "GET",
"title": "<string>"
}
},
"response_type": "PaginatedPromptListResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Unauthorized",
"status": 401,
"detail": "Authentication required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Payment Required",
"status": 402,
"detail": "Payment required",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Forbidden",
"status": 403,
"detail": "Access forbidden",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Request Validation Error",
"status": 422,
"detail": "Request validation failed",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}{
"data": {
"title": "Internal Server Error",
"status": 500,
"detail": "Internal server error",
"instance": "https://urlyourequest.com/path?query=value"
},
"response_type": "ErrorResponse"
}prompts
List Prompts
List latest versions of all prompts with pagination.
GET
/
v1
/
prompts
/
List Prompts
Authorizations
API Key for external integrations (format: greetincs_...)
Query Parameters
Page number
Required range:
x >= 1Number of prompts per page
Required range:
1 <= x <= 100⌘I